Security Enhanced Linux Reference Policy

# Layer: roles

## Module: sysadm

Tunables Interfaces

### Description:

General system administration role

### Tunables:

allow_ptrace

##### Default value

false

##### Description

Allow sysadm to debug or ptrace all processes.

sysadm_allow_rw_inherited_fifo

##### Default value

false

##### Description

Allow sysadm to read/write to fifo files inherited from a domain allowed to change role.

Return

### Interfaces:

sysadm_bin_spec_domtrans( domain )

##### Summary

Execute a generic bin program in the sysadm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_bin_spec_domtrans_to( domain )

##### Summary

Allow sysadm to execute a generic bin program in a specified domain. This is an explicit transition, requiring the caller to use setexeccon().

##### Description

Allow sysadm to execute a generic bin program in a specified domain.

This is a interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to execute in.

sysadm_entry_spec_domtrans( domain )

##### Summary

Execute all entrypoint files in the sysadm domain. This is an explicit transition, requiring the caller to use setexeccon().

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_entry_spec_domtrans_to( domain )

##### Summary

Allow sysadm to execute all entrypoint files in a specified domain. This is an explicit transition, requiring the caller to use setexeccon().

##### Description

Allow sysadm to execute all entrypoint files in a specified domain. This is an explicit transition, requiring the caller to use setexeccon().

This is a interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_role_change( role , domain )

##### Summary

Change to the system administrator role.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | Domain allowed access.

sysadm_role_change_to( role )

##### Summary

Change from the system administrator role.

##### Description

Change from the system administrator role to the specified role.

This is an interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.

sysadm_rw_pipes( domain )

##### Summary

Read and write sysadm user unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_shell_domtrans( domain )

##### Summary

Execute a shell in the sysadm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_sigchld( domain )

##### Summary

Send a SIGCHLD signal to sysadm users.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysadm_use_fds( domain )

##### Summary

Inherit and use sysadm file descriptors

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return